PreferenceDefault
Perform various operations for Symitar parameters.
Operations
Retrieve PreferenceDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getPreferenceDefault
POST /nexum/627/2022.01/parameter/getPreferenceDefault HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"PreferenceDefault": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getPreferenceDefault"
}Retrieve PreferenceDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getPreferenceDefaultSelectFields
POST /nexum/627/2022.01/parameter/getPreferenceDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 231
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"PreferenceDefaultFields": {
"Type": true,
"Language": true,
"HbEnable": true
}
}
}200
Successful operation.
{
"PreferenceDefault": {
"HbEnable": 2,
"Language": 0,
"Type": 0
},
"MessageId": "getPreferenceDefaultSelectFields"
}Update PreferenceDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/updatePreferenceDefaultByID
POST /nexum/627/2022.01/parameter/updatePreferenceDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 211
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PreferenceDefaultUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updatePreferenceDefaultByID"
}Last updated
Was this helpful?